<?php 
session_start(); 
require_once('../conexion.php');
require_once('../include/sesiones.php');
$ord_id=limpiar($_GET['ord_id']);
$sql_ord=mysqli_query($con,"SELECT * from orden_servicios Where ord_id='$ord_id' and empresa='$empresa'") or die(mysqli_error($con)); 
$sql_ord=mysqli_fetch_array($sql_ord);
$apertura_orden=$sql_ord["apertura"];
$ord_clie_id=$sql_ord["ord_clie_id"];

if($apertura==$apertura_orden)
{
	$sql=mysqli_query($con,"UPDATE orden_servicios Set
                            ord_estado ='ANULADA' 
                            Where ord_id='$ord_id' and empresa='$empresa'") or die(mysqli_error($con)); 
	
	$can_abo=mysqli_query($con,"SELECT * FROM orden_abonos WHERE orden_servicios_ord_id='$ord_id' and apertura='$apertura' and empresa='$empresa'") or die(mysqli_error($con));  
	while($dat_abo=mysqli_fetch_array($can_abo))
	{
	    $mov_id_abon=$dat_abo['mov_id'];
    	$borrar_sql6=mysqli_query($con,"DELETE FROM movimientos WHERE mov_id='$mov_id_abon'") or die(mysqli_error($con));
	} 
	echo '<div class="alert alert-success alert-dismissable">
		<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
		<strong>Orden!</strong> Anulada correctamente.
	</div>';
}
else
{
	$can_abo=mysqli_query($con,"SELECT * FROM orden_abonos WHERE orden_servicios_ord_id='$ord_id' and apertura='$apertura' and empresa='$empresa'") or die(mysqli_error($con));  
	while($dat_abo=mysqli_fetch_array($can_abo))
	{
	    $mov_id_abon=$dat_abo['mov_id']; 
    	$borrar_sql6=mysqli_query($con,"DELETE FROM movimientos WHERE mov_id='$mov_id_abon'") or die(mysqli_error($con));
	} 

	$sql=mysqli_query($con,"SELECT * from cliente Where clie_id='$ord_clie_id' and empresa='$empresa'") or die(mysqli_error($con)); 
	$row=mysqli_fetch_array($sql);
	$clie_nota_credito=$row["clie_nota_credito"];
	$clie_nombre=$row["clie_nombre"];

	$sql2=mysqli_query($con,"SELECT sum(ord_abono) as total from orden_abonos Where orden_servicios_ord_id='$ord_id' and apertura<>'$apertura' and empresa='$empresa'") or die(mysqli_error($con)); 
	$row=mysqli_fetch_array($sql2);
	$ord_abono=$row["total"]+0;

	$suma=$clie_nota_credito+$ord_abono;
	$sql3=mysqli_query($con,"UPDATE cliente Set
                            clie_nota_credito ='$suma' 
                            Where clie_id='$ord_clie_id' and empresa='$empresa'") or die(mysqli_error($con)); 
	
	$sql4=mysqli_query($con,"UPDATE orden_servicios Set
                            ord_estado ='ANULADA' 
                            Where ord_id='$ord_id' and empresa='$empresa'") or die(mysqli_error($con)); 
	
    echo '<div class="alert alert-success alert-dismissable">
		<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
		<strong>Orden!</strong> Anulada correctamente.
	</div>'; ?>
  	<div class="alert alert-info alert-dismissable">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <strong>Se le sumo una Nota Credito de <?php echo number_format($ord_abono,0);?> al cliente <?php echo $clie_nombre;?> </strong>
    </div>
<?php } ?>  